poi-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject [Bug 52716] Hyperlink parser is overly strict causing document open to fail for doc which works in other tools
Date Mon, 23 Feb 2015 21:06:30 GMT
https://bz.apache.org/bugzilla/show_bug.cgi?id=52716

Dominik Stadler <dominik.stadler@gmx.at> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEW                         |NEEDINFO

--- Comment #13 from Dominik Stadler <dominik.stadler@gmx.at> ---
It is fixed since somewhere around 2012 as far as I see.

So if I look at line "72" of class XSSFHyperlink which is referenced in the
exception stacktrace that you posted, I see that since the fix in 2012 the line
72 is not executable code, but rather a bracket ("}"), so I conclude that if
you are really seeing the same stacktrace, then you are likely still having
some outdated version of POI in use somewhere, i.e. by having an old jar-file
in the classpath. 

In fact the error text that is shown in the exception does not even exist any
more in all of POI's code since 2012, so I cannot see how it could even appear
in a current version of POI.

If you really can reproduce this problem with version 3.11 of POI, then please
post the actual stacktrace that you get so we can see what the actual error
message is. The "A sheet hyperlink must either ..." is very unlikely to still
be possible with 3.11 and newer...

-- 
You are receiving this mail because:
You are the assignee for the bug.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@poi.apache.org
For additional commands, e-mail: dev-help@poi.apache.org


Mime
View raw message